| NFFT 3.5.0

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
solverl_plan_complex Struct Reference

data structure for an inverse NFFT plan with long double precision More...

`#include <nfft3.h>`

Collaboration diagram for solverl_plan_complex:
[legend]

## Data Fields
nfftl_mv_plan_complex * | mv
| matrix vector multiplication
unsigned | flags
| iteration type
long double * | w
| weighting factors
long double * | w_hat
| damping factors
fftwl_complex * | y
| right hand side, samples
fftwl_complex * | f_hat_iter
| iterative solution
fftwl_complex * | r_iter
| iterated residual vector
fftwl_complex * | z_hat_iter
| residual of normal equation of first kind
fftwl_complex * | p_hat_iter
| search direction
fftwl_complex * | v_iter
| residual vector update
long double | alpha_iter
| step size for search direction
long double | beta_iter
| step size for search correction
long double | dot_r_iter
| weighted dotproduct of r_iter
long double | dot_r_iter_old
| previous dot_r_iter
long double | dot_z_hat_iter
| weighted dotproduct of z_hat_iter
long double | dot_z_hat_iter_old
| previous dot_z_hat_iter
long double | dot_p_hat_iter
| weighted dotproduct of p_hat_iter
long double | dot_v_iter
| weighted dotproduct of v_iter

## Detailed Description

data structure for an inverse NFFT plan with long double precision

Definition at line 783 of file nfft3.h.

The documentation for this struct was generated from the following file:

- nfft3.h